@echo off
if "%OS%" == "Windows_NT" setlocal

if "%JOBSERVER_HOME%" == "" goto guessIt
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
echo 
rem Even though it is set and not correct try to guess
:guessIt
set JOBSERVER_HOME=.
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
rem Try to guess what JOBSERVER_HOME is
set JOBSERVER_HOME=..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set JOBSERVER_HOME=..\..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
echo  The JOBSERVER_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto end

:okHome
call "%JOBSERVER_HOME%\conf\system-config.bat"
if exist "%JAVA_HOME%\bin\java.exe" goto okExec
echo  The JAVA_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto end

:okExec
rem check if server is running or not
call "%JOBSERVER_HOME%\bin\jsmonitor" -simplewebserverstatus > nul
set ENVCHECK=%ERRORLEVEL%
if "%ENVCHECK%" == "1" goto stopContainer
echo  Web Server Shutdown - Already Shutdown
goto end

:stopContainer

set CATALINA_HOME=%JOBSERVER_HOME%\sys\app
call "%JOBSERVER_HOME%\sys\app\bin\shutdown.bat"

echo  Web Container Shutdown
 
:end
